Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007542opensim[REGION] OpenSim Corepublic2015-04-24 18:292015-08-18 09:34
ReporterAaack 
Assigned ToMata Hari 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007542: in a VAR sim, a scripted attachment on an NPC won't work.
DescriptionThis works perfectly on regular sims, however in VAR regions no script is working on an attachment on an NPC.
Steps To Reproduce1. Create a cube.
2. Create a script for the cube, with a simple line like llSay(0, "Hello World") on state_entry.
3. Wear the cube, it'll work in a regular avatar.
4. Make an NPC with the cube on.

The cube stops working completely.
Additional InformationThis only happens in a VAR region, on NPCs.

In a VAR region with regular avatars the attachments works as expected.

I've tried the following functions (all failed):

-llListen
-llSay
-llRegionSay
-OsMessageObject

All worked as expected while the prims were rezzed or wore, regardless the position on the sim (inside regular sim coordinates or beyond 256x256).
TagsNo tags attached.
Git Revision or version numberOpenSim 0.8.0.3 Release LFGrid 0.8.0.3 (PRD): 2014-11-28 (Win/.NET)
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 4.6.7
Attached Files

- Relationships

-  Notes
(0028085)
Aaack (reporter)
2015-04-26 05:21

Further testing, llParticleSystem also fails, as well most of the normal states:

state_entry
touch_start
on_rez
listen
dataserver

including custom states too.
(0028362)
Aaack (reporter)
2015-05-11 09:08

This bug is resolved in the new server version OSgrid OpenSimulator 0.8.2.dev.adf0f49 - 05-09-2015

Please close this ticket.
(0028363)
Mata Hari (reporter)
2015-05-11 12:36

Fixed: adf0f49
(0029224)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-04-24 18:29 Aaack New Issue
2015-04-26 05:21 Aaack Note Added: 0028085
2015-05-11 09:08 Aaack Note Added: 0028362
2015-05-11 12:36 Mata Hari Note Added: 0028363
2015-05-11 12:36 Mata Hari Status new => resolved
2015-05-11 12:36 Mata Hari Fixed in Version => master (dev code)
2015-05-11 12:36 Mata Hari Resolution open => fixed
2015-05-11 12:36 Mata Hari Assigned To => Mata Hari
2015-08-18 09:34 aiaustin Note Added: 0029224
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker